#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libmicrohttpd
Version		:	0.9.77
Release		:	16.2.0.rel%{?dist}
Summary		:	Lightweight library for embedding a webserver in applications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://www.gnu.org/software/libmicrohttpd/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	gnutls
BuildRequires	:	graphviz
BuildRequires	:	make
BuildRequires	:	texinfo

#-----------------------------------------------------------------------------
%description
GNU libmicrohttpd is a small C library that is
supposed to make it easy to run an HTTP server
as part of another application.
Key features that distinguish libmicrohttpd
from other projects are:
 
 * C library: fast and small
 * API is simple, expressive and fully reentrant
 * Implementation is http 1.1 compliant
 * HTTP server can listen on multiple ports
 * Support for IPv6
 * Support for incremental processing of POST data
 * Creates binary of only 25k (for now)
 * Three different threading models
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README NEWS
%license COPYING
%{_libdir}/%{name}.so.*
 

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files needed when building software with %{name}.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/microhttpd.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_infodir}/%{name}.info.*
%{_infodir}/%{name}-tutorial.info.*
%{_infodir}/%{name}_performance_data.png.gz
%{_mandir}/man3/%{name}.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -fi
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-gnutls					\
	--enable-https=yes				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%{__make}						\
	-C doc/doxygen					\
	full

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove infodir empty directory
%{__rm} -f %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
